function macken_berakna_lastid_shortcode() {
    global $post;
    if (!$post) return '';

    $content = strip_tags($post->post_content);
    $antal_ord = str_word_count($content);
    $ord_per_minut = 200;
    $minuter = ceil($antal_ord / $ord_per_minut);

    if ($minuter <= 1) {
        return '<p class="lastid">⏱ Ca 1 minut att läsa</p>';
    } else {
        return '<p class="lastid">⏱ Ca ' . $minuter . ' minuter att läsa</p>';
    }
}
add_shortcode('lastid', 'macken_berakna_lastid_shortcode');
